| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Script::LoadableScriptExample Class Reference

Example cls. for testing function of loadable scripts. More...

Inheritance diagram for IG::Script::LoadableScriptExample:
[legend]
Collaboration diagram for IG::Script::LoadableScriptExample:
[legend]

List of all members.

## Public Member Functions
| LoadableScriptExample ()
| Creates the LoadableScriptExamnple object.
## Protected Member Functions
void | PrintArguments (string[] args)
override void | InitializeThis (string[] arguments)
| Inializes the current script object.
override string | RunThis (string[] arguments)
| Runs action of the current object.

## Detailed Description

Example cls. for testing function of loadable scripts.

## Constructor & Destructor Documentation

IG::Script::LoadableScriptExample::LoadableScriptExample | ( |  | ) | `[inline]`

Creates the LoadableScriptExamnple object.

## Member Function Documentation

void IG::Script::LoadableScriptExample::PrintArguments | ( | string[] | args | ) | `[inline, protected]`

override void IG::Script::LoadableScriptExample::InitializeThis | ( | string[] | arguments | ) | `[inline, protected, virtual]`

Inializes the current script object.

Parameters:

  arguments | Initialization arguments. The first argument must be the working directory path.

Implements IG::Lib::LoadableScriptBase.

override string IG::Script::LoadableScriptExample::RunThis | ( | string[] | arguments | ) | `[inline, protected, virtual]`

Runs action of the current object.

Parameters:

  arguments | Command-line arguments of the action.

Implements IG::Lib::LoadableScriptBase.

The documentation for this class was generated from the following file:

- LoadableScriptExamnple.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events